Bug 132212 - lang/guile port broken if automake110 installed
lang/guile port broken if automake110 installed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 03:50 UTC by jhein
Modified: 2009-03-13 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (615 bytes, patch)
2009-03-01 03:50 UTC, jhein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jhein 2009-03-01 03:50:01 UTC
If the automake110 port is installed before building guile it causes
Makefile.in (and Makefile) in the guile working dir to get overwritten
during the 'build' stage.

This puts pkgconfigdir=$(libdir)/pkgconfig in Makefile instead of
$(DESTDIR)$(prefix)/libdata/pkgconfig.  This causes guile-1.8.pc to get
installed to ${PREFIX}/lib (instead of the right place listed in
pkg-plist).

We could fix this by making sure the part that regenerates
the Makefile.in does not get run or apply the same patch
that was applied to Makefile.in (files/patch-Makefile.in).

I have included a patch that does the latter...

Fix: use this patch in lang/guile ...
How-To-Repeat: 
install devel/automake110
install lang/guile
pkg_info -g -x guile

Note incorrect location of guile-1.8.pc (in <prefix>/lib instead
of <prefix>/libdata/pkgconfig)
Comment 1 Edwin Groothuis freebsd_committer 2009-03-01 03:50:09 UTC
Maintainer of lang/guile,

Please note that PR ports/132212 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132212

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-03-01 03:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 c11h15no2 2009-03-02 01:05:30 UTC
Looks good


--- On Sat, 2/28/09, Edwin Groothuis <edwin@FreeBSD.org> wrote:

> From: Edwin Groothuis <edwin@FreeBSD.org>
> Subject: Re: ports/132212: lang/guile port broken if automake110 installed
> To: amatus@gnu.org
> Cc: bug-followup@FreeBSD.org
> Date: Saturday, February 28, 2009, 9:50 PM
> Maintainer of lang/guile,
> 
> Please note that PR ports/132212 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a
> bug fix
> you agree on, reply to this email stating that you approve
> the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132212
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 4 jhein 2009-03-02 01:34:22 UTC
I meant to say that I had contacted the maintainer (amatus@gnu.org)
with this on Feb 22.  But there has been no response.
Comment 5 dfilter freebsd_committer 2009-03-13 19:52:24 UTC
stas        2009-03-13 19:52:09 UTC

  FreeBSD ports repository

  Added files:
    lang/guile/files     patch-Makefile.am 
  Log:
  - Use correct pkgconfig files dir.
  
  PR:             ports/132212
  Submitted by:   John Hein <jhein@timing.com>
  Approved by:    Amatus <c11h15no2@yahoo.com> (maintainer)
  
  Revision  Changes    Path
  1.1       +11 -0     ports/lang/guile/files/patch-Makefile.am (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Stanislav Sedov freebsd_committer 2009-03-13 20:30:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!